## com.lowagie.tools.plugins.treeview
Class Pagetreenode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          com.lowagie.tools.plugins.treeview.UpdateableTreeNode
              com.lowagie.tools.plugins.treeview.Pagetreenode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class Pagetreenode

extends UpdateableTreeNode

See Also:
  Serialized Form

Field Summary
`private PdfDictionary` `dictionary`
`private float` `height`
`private int` `pagenumber`
`private static long` `serialVersionUID`
`private float` `width`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`Pagetreenode(PdfDictionary page, int seitennummer, ICommonAnalyzer pageanalyzer, PdfReader pdfreader)`

Method Summary
`float` `getHeight()`
`javax.swing.Icon` `getIcon()`
`int` `getPagenumber()`
`float` `getWidth()`
`java.lang.String` `toString()`
`void` `updateview(IUpdatenodeview updateobject)`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### dictionary

    private PdfDictionary dictionary

### pagenumber

    private int pagenumber

### width

    private float width

### height

    private float height

Constructor Detail

### Pagetreenode

    public Pagetreenode(PdfDictionary page,
                        int seitennummer,
                        ICommonAnalyzer pageanalyzer,
                        PdfReader pdfreader)

Method Detail

### getPagenumber

    public int getPagenumber()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `javax.swing.tree.DefaultMutableTreeNode`

### getWidth

    public float getWidth()

### getHeight

    public float getHeight()

### updateview

    public void updateview(IUpdatenodeview updateobject)

  Specified by:
    `updateview` in class `UpdateableTreeNode`

### getIcon

    public javax.swing.Icon getIcon()

  Overrides:
    `getIcon` in class `UpdateableTreeNode`